import { MapName, MonsterName } from "./definitions/adventureland-data.js";
export declare class Constants {
    static PATHFINDER_FIRST_MAP: MapName;
    static MAX_PINGS: number;
    static PING_EVERY_MS: number;
    static CONNECT_TIMEOUT_MS: number;
    static RECONNECT_TIMEOUT_MS: number;
    static STALE_MONSTER_MS: number;
    static STALE_PROJECTILE_MS: number;
    /** How often to check smart move's `stopIfTrue` option */
    static SMART_MOVE_STOP_CHECK_MS: number;
    /** How long we wait for a response from the server before rejecting the promise */
    static TIMEOUT: number;
    static UPDATE_POSITIONS_EVERY_MS: number;
    /** Various distance related things */
    static MAX_VISIBLE_RANGE: number;
    static MAX_VISIBLE_RANGE_SQUARED: number;
    static NPC_INTERACTION_DISTANCE: number;
    static NPC_INTERACTION_DISTANCE_SQUARED: number;
    static DASH_DISTANCE: number;
    static DOOR_REACH_DISTANCE: number;
    static DOOR_REACH_DISTANCE_SQUARED: number;
    static TRANSPORTER_REACH_DISTANCE: number;
    static TRANSPORTER_REACH_DISTANCE_SQUARED: number;
    static BASE: {
        h: number;
        v: number;
        vn: number;
    };
    /** Character size */
    static CHARACTER_WIDTH: number;
    static CHARACTER_HEIGHT: number;
    /** Miscellaneous game related things */
    static BANK_PACK_SIZE: number;
    static MAX_PARTY_SIZE: number;
    /** Ponty sells items for more than `G.items[itemName].g`. */
    static PONTY_MARKUP: number;
    /**
     * @deprecated use `G.multipliers.buy_to_sell` instead
     *
     * NPCs buy items for less than `G.items[itemName].g`. They pay 0.6x that `g` value.
     */
    static NPC_SELL_TAX: number;
    /** Mongo related things */
    static MONGO_UPDATE_MS: number;
    static BANK_MAPS: MapName[];
    /** Monsters that are worth tracking in our database */
    static MONSTER_RESPAWN_TIMES: {
        [T in MonsterName]?: number;
    };
    static ONE_SPAWN_MONSTERS: MonsterName[];
    static SERVER_INFO_MONSTERS: MonsterName[];
    static SPECIAL_MONSTERS: MonsterName[];
}
