import { PingCompensatedCharacter } from "./PingCompensatedCharacter.js";
export declare class Mage extends PingCompensatedCharacter {
    ctype: "mage";
    alchemy(): Promise<unknown>;
    blink(x: number, y: number): Promise<unknown>;
    burst(target: string): Promise<unknown>;
    /**
     * Controlled burst allows mages to spend MP to attack each target that they specify
     * @param targets [[entityID, mpForTarget], ...]
     * @returns
     */
    cburst(targets: [string, number][]): Promise<unknown>;
    energize(target: string, mp?: number): Promise<unknown>;
    entangle(target: string, essenceofnature?: number): Promise<unknown>;
    light(): Promise<unknown>;
    /**
     * Sends an offer to teleport another player to your location
     *
     * NOTE: If you offer to magiport a player that is not online, it will still use MP.
     *
     * @param target The ID of the player to teleport
     * @returns A boolean representing whether or not the offer was sent
     */
    magiport(target: string): Promise<boolean>;
    /**
     * NOTE: This function is not named 'reflection' due to the 'reflection' property.
     *
     * @param {string} target
     * @return {*}  {Promise<void>}
     * @memberof Mage
     */
    applyReflection(target: string): Promise<unknown>;
}
