import { PingCompensatedCharacter } from "./PingCompensatedCharacter.js";
import { ProjectileSkillGRDataObject } from "./definitions/adventureland-server.js";
import { IPosition } from "./definitions/adventureland.js";
export declare class Warrior extends PingCompensatedCharacter {
    ctype: "warrior";
    agitate(): Promise<unknown>;
    charge(): Promise<unknown>;
    cleave(): Promise<unknown>;
    /**
     * Dash is a Warrior skill that lets you dash over small obstacles.
     *
     * NOTE: Dash currently (as of 2021-11-13) rounds to the nearest 10 for x and y coordinates,
     * e.g. `{x: 213, y: 216}` will become `{x: 210, y: 220}`
     *
     * @param {IPosition} to
     * @return {*}
     * @memberof Warrior
     */
    dash(to: IPosition): Promise<unknown>;
    hardshell(): Promise<unknown>;
    /**
     * Stomps and stuns nearby hostiles for a few seconds
     * @returns
     */
    stomp(): Promise<unknown>;
    /**
     * Makes a monster to target you instead of its original target
     * @param target The monster ID to taunt
     * @returns The ID of the taunt projectile
     */
    taunt(target: string): Promise<ProjectileSkillGRDataObject>;
    warcry(): Promise<unknown>;
}
